/* static char rcsid[] = "$Header: /homes/gws/deitz/zpl/src/CENTRAL/runtime/RCS/runtime.c,v 1.34 2001/03/07 22:28:29 deitz Exp $"; */

#include "../include/Dgen.h"
#include "../include/Privgen.h"
#include "../include/Stackgen.h"
#include "../include/buildsym.h"
#include "../include/buildzplstmt.h"
#include "../include/glist.h"
#include "../include/global.h"
#include "../include/runtime.h"
#include "../include/symbol.h"


void StartRuntime() {
  StartDirection();
  StartRegion();
  StartArray();
  StartConfig();
  start_accessors();
}

void EndRuntime() {
  symboltable_t *pst;

  end_accessors();
  EndConfig();
  EndArray();
  EndRegion();
  EndDirection();

#ifndef PLAN9
  fprintf(OutFile,"void _main() {\n");
#else
  fprintf(OutFile,"void _node_main() {\n");
#endif

  if (priv_access) {
    priv_tid_decl(OutFile);
    priv_alloc_begin(OutFile);
    fprintf(OutFile, "%stype, %s", RMS_NAME, RMS_NAME);
    priv_alloc_end(OutFile);

    /** allocation for global scalars ***/
    for (GlobalScalars = glist_pop_head(GlobalScalars, (void **) &pst);
	 pst != NULL;
	 GlobalScalars = glist_pop_head(GlobalScalars, (void **) &pst)) {
      priv_alloc_begin(OutFile);
      gen_pdt(OutFile, S_VAR_TYPE(pst), PDT_GLOB);
      fprintf(OutFile, ", %s", S_IDENT(pst));
      priv_alloc_end(OutFile);
    }
  }

  fprintf(OutFile,"  _InitLibraries(_numcomms,_enspercommid,_max_numdirs,"
	  "_max_numwrapdirs);\n");
  fprintf(OutFile,"  %s();\n",entry_name);

  fprintf(OutFile,"}\n\n");
  
  fprintf(OutFile,"#include \"./%s_%s\"\n",trunc_in_filename,DIRCODEFILE);
  fprintf(OutFile,"#include \"./%s_%s\"\n",trunc_in_filename,CFGCODEFILE);
  fprintf(OutFile,"#include \"./%s_%s\"\n",trunc_in_filename,CFGCODEFILE2);
  fprintf(OutFile,"#include \"./%s_%s\"\n",trunc_in_filename,CFGCODEFILE3);
  fprintf(OutFile,"#include \"./%s_%s\"\n",trunc_in_filename,REGCODEFILE);
  fprintf(OutFile,"#include \"./%s_%s\"\n",trunc_in_filename,ACCCODEFILE);
  fprintf(OutFile,"#include \"./%s_%s\"\n",trunc_in_filename,ENSCODEFILE);
}
